<?php	
require_once('../../Connections/odonto_connection1.php'); 

$hash = rand(1000,1999);
	
if(isset($_GET[codigo])) {
	
	$codigo=$_GET[codigo];
	$mozo=$_GET[mozo];
	
	$q = "DELETE FROM pedidos WHERE mesa = '".$codigo."'";
	$rs= mysqli_query($odonto_connection,$q) or die("Error en $q");
	
	$q = "SELECT descripcion,mesa,negocio FROM mesas WHERE codigo = '$codigo'";
	$rs = mysqli_query($odonto_connection,$q) or die(mysqli_error());
	$row = mysqli_fetch_assoc($rs);
	$descripcion = $row['descripcion'];
	$mesa = $row['mesa'];
	$negocio = $row['negocio'];
	if($descripcion){
		$q = "INSERT INTO historial (fecha,descripcion,mesa,negocio) VALUES (CURRENT_TIMESTAMP,'$descripcion',$mesa,'$negocio');";
		$rs= mysqli_query($odonto_connection,$q) or die("Error en $q");
	}
	$q = "UPDATE mesas SET descripcion = '',ocup = 0,hash = '$hash',mensaje = '',logeado = 0,ver = 'no' WHERE codigo LIKE '$codigo'";
	$rs= mysqli_query($odonto_connection,$q) or die("Error en $q");
	
	$q = "UPDATE avisos SET limpiado = 1 WHERE codigo LIKE '$codigo'";
	$rs= mysqli_query($odonto_connection,$q) or die("Error en $q");
	
}
	
if(isset($_GET['negocio'])) {

	$negocio=$_GET['negocio'];
	
	$q = "DELETE FROM pedidos WHERE negocio = '".$negocio."'";
	$rs= mysqli_query($odonto_connection,$q) or die("Error en $q");
	
	$q = "SELECT descripcion,mesa,negocio FROM mesas WHERE negocio = '$negocio' AND logeado = 1";
	$rs = mysqli_query($odonto_connection,$q) or die(mysqli_error());
	$row = mysqli_fetch_assoc($rs);
	$num_rows = mysqli_num_rows($rs);
	if($num_rows != 0){
		do{
			$descripcion = $row['descripcion'];
			$mesa = $row['mesa'];
			if($descripcion){
				$q = "INSERT INTO historial (fecha,descripcion,mesa,negocio) VALUES (CURRENT_TIMESTAMP,'$descripcion',$mesa,'$negocio');";
				$rs= mysqli_query($odonto_connection,$q) or die("Error en $q");
			}
		} while($row = mysqli_fetch_assoc($rs));
	}	

	$q = "UPDATE mesas SET descripcion = '',ocup = '0',hash = '$hash',mensaje = '',logeado = 0,ver = 'no' WHERE negocio LIKE '$negocio' AND logeado = 1";
	$rs= mysqli_query($odonto_connection,$q) or die("Error en $q");
	
	$q = "UPDATE avisos SET limpiado = 1 WHERE negocio LIKE '$negocio'";
	$rs= mysqli_query($odonto_connection,$q) or die("Error en $q");

}

	header("Location:" . "negocio_0.php?mozo=$mozo&negocio=".$negocio);
	
?>